package com.github.jfcloud.gene;

import com.github.jfcloud.common.feign.annotation.EnableJfcloudFeignClients;
import com.github.jfcloud.common.security.annotation.EnableJfcloudResourceServer;
import com.github.jfcloud.common.swagger.annotation.EnableOpenApi;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.ComponentScans;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@EnableOpenApi
@EnableJfcloudFeignClients
@EnableJfcloudResourceServer
@EnableDiscoveryClient
@SpringBootApplication
@EnableTransactionManagement
@MapperScan({"com.github.jfcloud.gene.*.mapper"})
@ComponentScans(value = {
        @ComponentScan(value = "com.github.jfcloud.common.*")})
public class GeneApplication {

    public static void main(String[] args) {
        SpringApplication.run(GeneApplication.class, args);
    }

}
